LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUIEvent Interface Reference

`import"XUIEvent.idl";`

Inheritance diagram for XUIEvent:

## Public Member Functions
com::sun::star::xml::dom::views::XAbstractView | getView ()
long | getDetail ()
void | initUIEvent ([in] string typeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg, [in] com::sun::star::xml::dom::views::XAbstractView viewArg, [in] long detailArg)
Public Member Functions inherited from XEvent
string | getType ()
XEventTarget | getTarget ()
XEventTarget | getCurrentTarget ()
PhaseType | getEventPhase ()
boolean | getBubbles ()
boolean | getCancelable ()
com::sun::star::util::Time | getTimeStamp ()
void | stopPropagation ()
void | preventDefault ()
void | initEvent ([in] string eventTypeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getDetail()

long getDetail | ( |  | ) |

## ◆ getView()

com::sun::star::xml::dom::views::XAbstractView getView | ( |  | ) |

## ◆ initUIEvent()

void initUIEvent | ( | [in] string | typeArg,
|  | [in] boolean | canBubbleArg,
|  | [in] boolean | cancelableArg,
|  | [in] com::sun::star::xml::dom::views::XAbstractView | viewArg,
|  | [in] long | detailArg
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/events/XUIEvent.idl